#server.port=8080
#
#management.endpoints.web.cors.max-age=3600
#management.endpoints.web.cors.allowed-origins=*
#management.endpoints.web.cors.allowed-headers=*
#management.endpoints.web.cors.allowed-methods=*
#management.endpoints.web.cors.allow-credentials=true
#
#spring.datasource.url= jdbc:postgresql://localhost:5432/booklender
#spring.datasource.username=postgres
#spring.datasource.password=1234
#spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true
#
#spring.jpa.database-platform=org.hibernate.dialect.PostgreSQLDialect
#
#spring.jpa.database=POSTGRESQL
#spring.datasource.platform=postgres
#spring.jpa.hibernate.ddl-auto=update
#spring.jpa.properties.javax.persistence.sharedCache.mode=ALL
#server.use-forward-headers=true

server.port=8080
spring.datasource.url= jdbc:mysql://localhost:3306/recipedb?useSSL=false&serverTimezone=UTC&useLegacyDatetimeCode=false
spring.datasource.username=root
spring.datasource.password=12345678
#spring.datasource.url= jdbc:mysql://localhost:3306/
useSSL=false&serverTimezone=UTC&useLegacyDatetimeCode=false
#spring.datasource.username=
#spring.datasource.password=
spring.jpa.properties.hibernate.connection.characterEncoding=utf-8
spring.jpa.properties.hibernate.connection.CharSet=utf-8
spring.jpa.properties.hibernate.connection.useUnicode=true

server.tomcat.uri-encoding=UTF-8

HTTP encoding (HttpEncodingProperties)
spring.http.encoding.charset=UTF-8
spring.http.encoding.enabled=true
spring.http.encoding.force=true
spring.jpa.hibernate.ddl-auto=update